\setlength {\marginparwidth }{2cm} 

\usepackage{todonotes}
\newcommand{\iltodo}[1]{\todo[inline]{\textbf{TODO:} #1}}

\usepackage{cleveref}
\usepackage{caption}
\usepackage{subcaption}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{paralist}
\usepackage{pdfpages}
\usepackage{lscape}
\usepackage{graphicx}
\usepackage{tabularx}


\newcommand\pro{\item[\textbf{+}]}
\newcommand\con{\item[\textbf{-}]}

\newtheorem{definition}{Definition}

\newtheorem{researchquestion}{Research Question}
\crefname{researchquestion}{\textbf{RQ}}{\textbf{RQs}}
\Crefname{researchquestion}{\textbf{RQ}}{\textbf{RQs}}
\creflabelformat{researchquestion}{\textbf{#2#1#3}}

% \newtheorem{studyquestion}{Q}
% \crefname{studyquestion}{\textbf{Q}}{\textbf{Qs}}
% \Crefname{studyquestion}{\textbf{Q}}{\textbf{Qs}}
% \creflabelformat{studyquestion}{\textbf{#2#1#3}}

\setlength{\footskip}{4.35004pt}



\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.94, 0.97, 1.0}

\lstdefinestyle{mystyle}{
    backgroundcolor=\color{backcolour},   
    commentstyle=\color{codegreen},
    keywordstyle=\color{magenta},
    numberstyle=\tiny\color{codegray},
    stringstyle=\color{codepurple},
    basicstyle=\ttfamily\footnotesize,
    breakatwhitespace=false,         
    breaklines=true,                 
    captionpos=b,                    
    keepspaces=true,                 
    numbers=left,                    
    numbersep=5pt,                  
    showspaces=false,                
    showstringspaces=false,
    showtabs=false,                  
    tabsize=2
}



\lstloadlanguages{C,C++,csh,Java}


\colorlet{punct}{red!60!black}
\definecolor{background}{HTML}{EEEEEE}
\definecolor{delim}{RGB}{20,105,176}
\colorlet{numb}{magenta!60!black}

\lstdefinelanguage{json}{
    basicstyle=\normalfont\ttfamily,
    numbers=left,
    numberstyle=\scriptsize,
    stepnumber=1,
    numbersep=8pt,
    showstringspaces=false,
    breaklines=true,
    frame=lines,
    backgroundcolor=\color{background},
    literate=
     *{0}{{{\color{numb}0}}}{1}
      {1}{{{\color{numb}1}}}{1}
      {2}{{{\color{numb}2}}}{1}
      {3}{{{\color{numb}3}}}{1}
      {4}{{{\color{numb}4}}}{1}
      {5}{{{\color{numb}5}}}{1}
      {6}{{{\color{numb}6}}}{1}
      {7}{{{\color{numb}7}}}{1}
      {8}{{{\color{numb}8}}}{1}
      {9}{{{\color{numb}9}}}{1}
      {:}{{{\color{punct}{:}}}}{1}
      {,}{{{\color{punct}{,}}}}{1}
      {\{}{{{\color{delim}{\{}}}}{1}
      {\}}{{{\color{delim}{\}}}}}{1}
      {[}{{{\color{delim}{[}}}}{1}
      {]}{{{\color{delim}{]}}}}{1},
}


\lstset{style=mystyle}



\definecolor{OccHTGray}{RGB}{211, 211, 211}
\definecolor{SGlHTGray}{RGB}{  0, 128, 183}
\definecolor{DoneBlue}  {RGB}{ 33,  92, 175}
\definecolor{OpenOrange}{RGB}{255, 134,  39}
\definecolor{MissingAnimRed}{RGB}{255, 61,  37}

\newcommand{\colBox}[1]{\begingroup
\setbox0=\hbox{\fcolorbox{black}{#1}{\textcolor{#1}{ }}}%
\parbox{\wd0}{\box0}
\endgroup}


